<template>
  <article>
    <h3>
      <router-link :to="`/barcas/${barcaId}/consensos/${consenso.id}`">
        {{ consenso.titulo }}
      </router-link>
    </h3>
    <barra-de-estado v-if="!sinBarra" :posiciones="consenso.posiciones" />
    <small>creado el {{ new Date(consenso.created_at).toDateString() }}</small>
  </article>
</template>

<script>
import BarraDeEstado from '@/components/BarraDeEstado.vue'

export default {
  name: 'Consenso',
  components: { BarraDeEstado },
  props: ['consenso', 'sinBarra', 'barcaId'],
}
</script>

<style lang="sass" scoped>
article
  //border-bottom: 2px solid #CCC
  padding: 0.75em 0
  margin: 0 0.2em
  h3, .texto
    margin: 0.5em 0
  h3
    border-left: 5px solid var(--accent)
    padding-left: 0.3em
  //.texto
  //  border-left: 5px solid var(--gray)
  //  padding-left: 0.3em
  //  text-overflow: ellipsis
  //  max-height: 3em
  //  overflow: hidden
  h3 a
    color: var(--foreground)
    text-decoration: none
    &:hover
      text-decoration: underline
</style>
